import request from "@/utils/request"

/** 疫情上报 — 分页列表 */
export function listEpidemicReport(query) {
  return request({
    url: "/diseaseDetection/epidemicReport/list",
    method: "get",
    params: query
  })
}

/** 详情 */
export function getEpidemicReport(id) {
  return request({
    url: "/diseaseDetection/epidemicReport/" + id,
    method: "get"
  })
}

/** 新增 */
export function addEpidemicReport(data) {
  return request({
    url: "/diseaseDetection/epidemicReport",
    method: "post",
    data
  })
}

/** 修改 */
export function updateEpidemicReport(data) {
  return request({
    url: "/diseaseDetection/epidemicReport",
    method: "put",
    data
  })
}

/** 删除 */
export function delEpidemicReport(ids) {
  return request({
    url: "/diseaseDetection/epidemicReport/" + ids,
    method: "delete"
  })
}

/** 解除 */
export function relieveEpidemicReport(data) {
  return request({
    url: "/diseaseDetection/epidemicReport/relieve",
    method: "put",
    data
  })
}
